io.netty.handler.codec.mqtt

## Class MqttProperties.UserProperties

- java.lang.Object
- - io.netty.handler.codec.mqtt.MqttProperties.MqttProperty<List<MqttProperties.StringPair>>
  - - io.netty.handler.codec.mqtt.MqttProperties.UserProperties

Enclosing class:
  MqttProperties

    public static final class MqttProperties.UserProperties
    extends MqttProperties.MqttProperty<List<MqttProperties.StringPair>>

### Constructor Summary

Constructors
Constructor and Description
`UserProperties()`
`UserProperties(Collection<MqttProperties.StringPair> values)` Create user properties from the collection of the String pair values

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(MqttProperties.StringPair pair)`
`void` `add(String key, String value)`
`String` `toString()`

### Methods inherited from class io.netty.handler.codec.mqtt.MqttProperties.MqttProperty

`equals, hashCode, propertyId, value`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UserProperties

    public UserProperties()

#### UserProperties

    public UserProperties(Collection<MqttProperties.StringPair> values)

Create user properties from the collection of the String pair values

Parameters:
  `values` - string pairs. Collection entries are copied, collection itself isn't shared

### Method Detail

#### add

    public void add(MqttProperties.StringPair pair)

#### add

    public void add(String key,
                    String value)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`